RCUR

Orders

List orders

get https://rcur.app/api/v2/orders

Requires your API key as Authorization: Bearer <key>. See authentication.

Query parameters

  • page integer

    Page number for pagination

    Default: 1

Responses

200 List of orders object
  • data array of Orders
    25 child attributes · Order
    • id string required
    • order_number string nullable
    • status string required

      One of unpaid pending paid completed charged_back cancelled

    • first_name string
    • last_name string
    • email string
    • organization_name string nullable
    • phone string nullable
    • address string nullable
    • postal_code string nullable
    • city string nullable
    • country string nullable

      ISO 3166-1 alpha-2 country code

    • vat_number string nullable
    • carrier string nullable
    • tracktrace string nullable
    • wc_order_id integer nullable
    • wc_order_number string nullable
    • subscription string nullable
    • subscription_status string nullable

      One of active cancelled completed

    • cancel_subscription_at string nullable
    • total_amount string required
    • currency string required

      One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

    • created_at string required
    • products array of OrderProducts
      3 child attributes · OrderProduct
      • next_order string nullable
      • quantity integer required
      • product object required
        8 child attributes
        • id string
        • name string
        • type string

          One of once subscription shipping_costs

        • amount string
        • currency string

          One of AED AUD BGN BRL CAD CHF CZK DKK EUR GBP HKD HUF ILS ISK JPY MXN MYR NOK NZD PHP PLN RON SEK SGD THB TWD USD ZAR

        • interval string nullable

          One of day week month year

        • times integer nullable
        • wc_product_id integer nullable
    • custom_fields array of CustomFieldValues

      Answers to custom fields. Only present when the organization has custom fields.

      5 child attributes · CustomFieldValue
      • field_id string nullable

        Id of the custom field, empty when the field has been deleted since

      • label string required

        The question as it was asked

      • type string required

        One of text textarea number select checkbox date

      • value string nullable required

        The answer: a boolean for a checkbox, a number for a number field, otherwise text (a date as YYYY-MM-DD)

      • display string required

        The answer as readable text

  • links object
    4 child attributes
    • first string
    • last string
    • prev string nullable
    • next string nullable
  • meta object
    4 child attributes
    • current_page integer
    • last_page integer
    • per_page integer
    • total integer
Try it Send this request with your own API key

Requests run against the live data of the organization that owns the key.